Package be.fgov.ehealth.hubservices.core.v2

# Class Therapeuticlinkrequest

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.Therapeuticlinkrequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class Therapeuticlinkrequest extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <group ref="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticLinkWithProofType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Therapeuticlinkrequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDKMEHR`
  `getId()`
  Gets the value of the id property.
  `List<ProofType>`
  `getProoves()`
  Gets the value of the prooves property.
  `TherapeuticLinkType`
  `getTherapeuticlink()`
  Gets the value of the therapeuticlink property.
  `void`
  `setId(IDKMEHR value)`
  Sets the value of the id property.
  `void`
  `setTherapeuticlink(TherapeuticLinkType value)`
  Sets the value of the therapeuticlink property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Therapeuticlinkrequest

    public Therapeuticlinkrequest()

- ## Method Details

  - ### getId

    public IDKMEHR getId()
    Gets the value of the id property.
    Returns:
      possible object is `IDKMEHR`

  - ### setId

    public void setId(IDKMEHR value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `IDKMEHR`

  - ### getTherapeuticlink

    public TherapeuticLinkType getTherapeuticlink()
    Gets the value of the therapeuticlink property.
    Returns:
      possible object is `TherapeuticLinkType`

  - ### setTherapeuticlink

    public void setTherapeuticlink(TherapeuticLinkType value)
    Sets the value of the therapeuticlink property.
    Parameters:
      `value` - allowed object is `TherapeuticLinkType`

  - ### getProoves

    public List<ProofType> getProoves()
    Gets the value of the prooves property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prooves property.

    For example, to add a new item, do as follows:

         getProoves().add(newItem);

    Objects of the following type(s) are allowed in the list `ProofType`

    Returns:
      The value of the prooves property.